/v1/workspaces/{workspace_id}/rampsAuthList ramps
Percentage ramps, newest first. Filter by `status` (`active`, `paused`, `completed`, `cancelled`, `failed`), project, environment or setting.
Path parameters
workspace_id*string · uuidId of the workspace.
Query parameters
statusstringOnly this status.
project_idstring · uuidOnly this project.
environment_idstring · uuidOnly this environment.
setting_idstring · uuidOnly this setting.
cursorstringOpaque cursor from `pagination.next_cursor`.
limitintegerPage size.
Response · 200 A page of ramps.
data*arrayRamps, newest first.
pagination*objectCursor pagination.
Example
Request
GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/ramps
Authorization: Bearer YOUR_TOKENimport { Flags } from "@productcraft/flags";
// Reads PRODUCTCRAFT_API_KEY from the environment
const flags = new Flags();
for await (const ramp of flags.ramps.list()) {
console.log(ramp);
}
const page = await flags.ramps.list({}, { timeout: 5_000 });flags.ramps.list(params?, options?): PagePromise<Flags.Ramp>
Response
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"project_id": "00000000-0000-0000-0000-000000000000",
"config_id": "00000000-0000-0000-0000-000000000000",
"setting_id": "00000000-0000-0000-0000-000000000000",
"setting_key": "new_checkout",
"environment_id": "00000000-0000-0000-0000-000000000000",
"environment_key": "production",
"value": true,
"steps": [
{
"percentage": 25,
"at": "2026-01-01T00:00:00.000Z",
"applied": false
}
],
"current_percentage": 25,
"status": "active",
"note": "Ramp the new checkout",
"change_request_id": "00000000-0000-0000-0000-000000000000",
"created_by": {},
"last_change_id": "00000000-0000-0000-0000-000000000000",
"last_error": {},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"pagination": {}
}